Loading...
Searching...
No Matches
osmo_tdef_state_timeout Struct Reference
Tnnn timer configuration

Using osmo_tdef for osmo_fsm_inst: array entry for a mapping of state numbers to timeout definitions. More...

`#include <tdef.h>`

## Data Fields

int | T
| Timer number to match struct osmo_tdef.T, and to pass to osmo_fsm_inst_state_chg().
bool | keep_timer
| If true, call osmo_fsm_inst_state_chg_keep_timer().

## Detailed Description

Using osmo_tdef for osmo_fsm_inst: array entry for a mapping of state numbers to timeout definitions.

For a usage example, see osmo_tdef_get_state_timeout() and test_tdef_state_timeout() in tdef_test.c.

## Field Documentation

## keep_timer

bool osmo_tdef_state_timeout::keep_timer

If true, call osmo_fsm_inst_state_chg_keep_timer().

If T == 0, keep previous T number, otherwise also set fi->T.

Referenced by _osmo_tdef_fsm_inst_state_chg(), and osmo_tdef_get_state_timeout().

## T

int osmo_tdef_state_timeout::T

Timer number to match struct osmo_tdef.T, and to pass to osmo_fsm_inst_state_chg().

Positive values for T are considered to be 3GPP spec compliant and appear in logging and VTY as "T1234", while negative values are considered to be Osmocom specific timers, represented in logging and VTY as "X1234".

Referenced by _osmo_tdef_fsm_inst_state_chg(), and osmo_tdef_get_state_timeout().

The documentation for this struct was generated from the following file:

- include/osmocom/core/tdef.h